import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/agvTask',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/agvTask/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/agvTask',
    method: 'put',
    data
  })
}

export function queryAgvTaskInfo(data) {
  return request({
    url: 'api/agvTask/queryAgvTaskInfo',
    method: 'get',
    params: data
  })
}

export function queryWeeklyTaskCounts(data) {
  return request({
    url: 'api/agvTask/queryWeeklyTaskCounts',
    method: 'get',
    params: data
  })
}

export default { add, edit, del, queryAgvTaskInfo,queryWeeklyTaskCounts }
